This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 748450 - Review Request: celt0110 - An audio codec for use in low-delay speech and audio communication
Review Request: celt0110 - An audio codec for use in low-delay speech and aud...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2011-10-24 10:01 EDT by Andreas Osowski
Modified: 2012-12-27 16:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-27 16:22:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Osowski 2011-10-24 10:01:25 EDT
Spec URL: http://th0br0.fedorapeople.org/celt0110-0.11.0-1/celt0110.spec
SRPM URL: http://th0br0.fedorapeople.org/celt0110-0.11.0-1/celt0110-0.11.0-1.fc15.src.rpm
Description: 
CELT (Constrained Energy Lapped Transform) is an ultra-low delay audio 
codec designed for realtime transmission of high quality speech and audio. 
This is meant to close the gap between traditional speech codecs 
(such as Speex) and traditional audio codecs (such as Vorbis). 

Please note: this package is partly based on the official celt package and my own, celt071 package. I require this for compatibility with mumble as celt 0.11.1 does, once again, break the bitstream. It is basically identical with celt071 except for minor adaptations required for newer celt versions based upon the official celt package
Comment 1 Mario Blättermann 2012-08-19 11:48:26 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4403769

$ rpmlint -i -v *
celt0110.src: I: checking
celt0110.src: W: spelling-error Summary(en_US) codec -> codex, code, codes
The value of this tag appears to be misspelled. Please double-check.

celt0110.src: W: spelling-error %description -l en_US codec -> codex, code, codes
The value of this tag appears to be misspelled. Please double-check.

celt0110.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
The value of this tag appears to be misspelled. Please double-check.

celt0110.src: W: spelling-error %description -l en_US codecs -> codes, coders, code's
The value of this tag appears to be misspelled. Please double-check.

celt0110.src: I: checking-url http://www.celt-codec.org/ (timeout 10 seconds)
celt0110.src: I: checking-url http://downloads.us.xiph.org/releases/celt/celt-0.11.0.tar.gz (timeout 10 seconds)
celt0110.i686: I: checking
celt0110.i686: W: spelling-error Summary(en_US) codec -> codex, code, codes
The value of this tag appears to be misspelled. Please double-check.

celt0110.i686: W: spelling-error %description -l en_US codec -> codex, code, codes
The value of this tag appears to be misspelled. Please double-check.

celt0110.i686: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
The value of this tag appears to be misspelled. Please double-check.

celt0110.i686: W: spelling-error %description -l en_US codecs -> codes, coders, code's
The value of this tag appears to be misspelled. Please double-check.

celt0110.i686: I: checking-url http://www.celt-codec.org/ (timeout 10 seconds)
celt0110.i686: W: no-manual-page-for-binary celtdec0110
Each executable in standard binary directories should have a man page.

celt0110.i686: W: no-manual-page-for-binary celtenc0110
Each executable in standard binary directories should have a man page.

celt0110.x86_64: I: checking
celt0110.x86_64: W: spelling-error Summary(en_US) codec -> codex, code, codes
The value of this tag appears to be misspelled. Please double-check.

celt0110.x86_64: W: spelling-error %description -l en_US codec -> codex, code, codes
The value of this tag appears to be misspelled. Please double-check.

celt0110.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
The value of this tag appears to be misspelled. Please double-check.

celt0110.x86_64: W: spelling-error %description -l en_US codecs -> codes, coders, code's
The value of this tag appears to be misspelled. Please double-check.

celt0110.x86_64: I: checking-url http://www.celt-codec.org/ (timeout 10 seconds)
celt0110.x86_64: W: no-manual-page-for-binary celtdec0110
Each executable in standard binary directories should have a man page.

celt0110.x86_64: W: no-manual-page-for-binary celtenc0110
Each executable in standard binary directories should have a man page.

celt0110-debuginfo.i686: I: checking
celt0110-debuginfo.i686: I: checking-url http://www.celt-codec.org/ (timeout 10 seconds)
celt0110-debuginfo.x86_64: I: checking
celt0110-debuginfo.x86_64: I: checking-url http://www.celt-codec.org/ (timeout 10 seconds)
celt0110-devel.i686: I: checking
celt0110-devel.i686: W: no-dependency-on celt0110/celt0110-libs/libcelt0110
celt0110-devel.i686: I: checking-url http://www.celt-codec.org/ (timeout 10 seconds)
celt0110-devel.x86_64: I: checking
celt0110-devel.x86_64: W: no-dependency-on celt0110/celt0110-libs/libcelt0110
celt0110-devel.x86_64: I: checking-url http://www.celt-codec.org/ (timeout 10 seconds)
celt0110.spec: I: checking-url http://downloads.us.xiph.org/releases/celt/celt-0.11.0.tar.gz (timeout 10 seconds)
7 packages and 1 specfiles checked; 0 errors, 18 warnings.

Some ignorable spelling errors and missing manpages.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[.] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    c94d4d34f5a2caa1574b1a94869202cacd959b55f643a8bafe0660008acad9c3  celt-0.11.0.tar.gz
    c94d4d34f5a2caa1574b1a94869202cacd959b55f643a8bafe0660008acad9c3  celt-0.11.0.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[+] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[.] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[x] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
    The doc files appear twice in the base and the devel package. Because
    the latter requires the base package anyway, you have to remove the
    duplicate files from the devel package. No problem that this makes
    rpmlint somewhat unhappy.

[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: Development files must be in a -devel package.
[x] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
    Please add the %{?_isa} macro to "Requires"

[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[.] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


The %defattr lines in %files are obsolete. The missing BuidRoot definition let me assume that you don't want to provide it for EPEL 5, that's why please remove %defattr.
Comment 2 Mario Blättermann 2012-09-12 14:18:55 EDT
Any news...? Your package is almost fine, please fix the mentioned issues, I will approve it.
Comment 3 Mario Blättermann 2012-10-02 16:11:42 EDT
Just a reminder ...
Comment 4 Mario Blättermann 2012-11-15 04:37:14 EST
Just a reminder, sent out once a month ... as usual. @Andreas, if you don't response next four weeks, I assume you are no longer interested in maintaining this package. Then I'll close this review request as FE-DEADREVIEW.

Note You need to log in before you can comment on or make changes to this bug.